## org.eclipse.m2m.atl.engine.asm
Class ASMParameter

    java.lang.Object
      org.eclipse.m2m.atl.engine.asm.ASMParameter

    public class ASMParameter

extends java.lang.Object

Stores an `ASMOperation` parameter.

Constructor Summary
`ASMParameter(java.lang.String name, java.lang.String type)` Creates a parameter with the given name and type.

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASMParameter

    public ASMParameter(java.lang.String name,
                        java.lang.String type)

  Creates a parameter with the given name and type.

  Parameters:
    `name` - the parameter name
    `type` - the parameter type

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public java.lang.String getType()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.